Categories:
  - Internet
License: Apache-2.0
SourceCode: https://github.com/moko256/twitlatte
IssueTracker: https://github.com/moko256/twitlatte/issues

AutoName: twitlatte
Summary: Twitter, Mastodon and Pleroma client
Description: SNS client specialized to read in chronorogical order. You can access
    Twitter, Mastodon and Pleroma with API.

RepoType: git
Repo: https://github.com/moko256/twitlatte

Builds:
  - versionName: 1.1.0
    versionCode: 4
    commit: v1.1.0
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - twitter4j/..git
      - twitter4j/twitter4j-core/build
      - twitter4j/twitter4j-http2-support/build
    prebuild: sed -i -e '/versionNameSuffix/d' build.gradle

  - versionName: 1.1.1
    versionCode: 5
    commit: v1.1.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 6
    commit: v1.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 7
    commit: v1.2.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.2
    versionCode: 8
    commit: v1.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.2.2
CurrentVersionCode: 8
